Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletPreferences

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletPreferences

All Implemented Interfaces:
  javax.portlet.PortletPreferences

    public class MockPortletPreferences

extends Object
implements javax.portlet.PortletPreferences

Mock implementation of the `PortletPreferences` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletPreferences()`

Method Summary
`Map` | `getMap()`
`Enumeration` | `getNames()`
`String` | `getValue(String key, String def)`
`String[]` | `getValues(String key, String[] def)`
`boolean` | `isReadOnly(String key)`
`void` | `reset(String key)`
`void` | `setPreferencesValidator(javax.portlet.PreferencesValidator preferencesValidator)`
`void` | `setReadOnly(String key, boolean readOnly)`
`void` | `setValue(String key, String value)`
`void` | `setValues(String key, String[] values)`
`void` | `store()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletPreferences

    public MockPortletPreferences()

Method Detail

### setReadOnly

    public void setReadOnly(String key,
                            boolean readOnly)

### isReadOnly

    public boolean isReadOnly(String key)

  Specified by:
    `isReadOnly` in interface `javax.portlet.PortletPreferences`

### getValue

    public String getValue(String key,
                           String def)

  Specified by:
    `getValue` in interface `javax.portlet.PortletPreferences`

### getValues

    public String[] getValues(String key,
                              String[] def)

  Specified by:
    `getValues` in interface `javax.portlet.PortletPreferences`

### setValue

    public void setValue(String key,
                         String value)
                  throws javax.portlet.ReadOnlyException

  Specified by:
    `setValue` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setValues

    public void setValues(String key,
                          String[] values)
                   throws javax.portlet.ReadOnlyException

  Specified by:
    `setValues` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### getNames

    public Enumeration getNames()

  Specified by:
    `getNames` in interface `javax.portlet.PortletPreferences`

### getMap

    public Map getMap()

  Specified by:
    `getMap` in interface `javax.portlet.PortletPreferences`

### reset

    public void reset(String key)
               throws javax.portlet.ReadOnlyException

  Specified by:
    `reset` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setPreferencesValidator

    public void setPreferencesValidator(javax.portlet.PreferencesValidator preferencesValidator)

### store

    public void store()
               throws IOException,
                      javax.portlet.ValidatorException

  Specified by:
    `store` in interface `javax.portlet.PortletPreferences`
  Throws:
    `IOException`
    `javax.portlet.ValidatorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.